# Description

This mod changes how barrier works so that it decays exponentially; it decays faster with more barrier. Max health no longer has any affect on barrier decay rate. Includes configuration for for the barrier decay rate, and an option to remove the barrier cap.
  
The goal of this mod is to make barrier less of an "all or nothing" type of thing, as well as making it scale better with max health. For example, In vanilla, if you have aegis + bungus on a turret, picking up a couple of shield gens will increase your barrier decay and can mean the difference between max barrier and zero barrier.

## Math

### Vanilla

Barrier decays at a rate equal to 3.33% of your combined max health and shields per second.

The formula for barrier decay per second is `(maxHealth + maxShields) / 30`

### Dynamic

Barrier decays exponentially with a half-life of 7.5 seconds, or at a rate of approximately 9.24% of your current barrier per second, with a minimum rate of 3 per second. These values are configurable.

The formula for barrier decay per second is `max(minimumDecayRate, (barrier * ln(2) / halfLife) )`

## Graph

The following graphs show how barrier will decay over time with default settings, assuming you have max barrier at 240.
* Orange - Vanilla
* Cyan - Dynamic

![new](https://cdn.discordapp.com/attachments/568462404392976404/956507781521887232/graph4.PNG)

## Contact

- Feel free to DM me if you experience any problems with the mod.
- Discord: Zombieseatflesh7#3461
- Art by SearchGoopsy: https://goopsyspace.carrd.co/

## Changelog

**2.0.0**
 
* Changed the formula and made barrier decay significantly faster
* Added configuration for barrier half-life and minimum decay speed
* Added a config to remove the barrier cap
* New mod icon

**1.0.0**

* Release